<% if defined?(fileType) %>

<% if cannot?(:read, @document) || cultural_sensitive?(@document) then %>
  <% restrictedNotice = grabRestrictedText(@document['otherNote_json_tesim']) %>
  <% unless restrictedNotice.nil? %>
    <div class="restricted-notice">
	    <div>
	      <%= restrictedNotice %>
	    </div>
    </div>
  <% end %>
<% end %>

<% if cannot?(:read, @document) then %>

  <% accessNotice = grab_access_text(@document) %>
  <% if accessNotice %>
    <div class="restricted-notice">
	    <div>
	      <%= accessNotice %>
	    </div>
    </div>
  <% end %>
<% end %>  
  <%
	
	display_file_path = to_stats_path display_file_path
	service_file_path = to_stats_path service_file_path
	pdf_file_path = to_stats_path pdf_file_path
	source_file_path = to_stats_path source_file_path
	download_derivative_path = to_stats_path download_derivative_path
	download_file_path = to_stats_path download_file_path
  %>

	<div class="simple-object">
		<% case fileType %>
		<% when 'image-service' %>
			<%= render :partial => 'image_viewer', :locals => {:displayFilePath => display_file_path, :zoomFilePath  => zoom_file_path, :filePath => service_file_path, :pdfFilePath => pdf_file_path, :service_file => service_file, :downloadFilePath => download_file_path, :downloadDerivativePath => download_derivative_path, :publicSourceDownload => publicSourceDownload} %>
		<% when 'audio-service' %>
			<%= render :partial => 'audio_viewer', :locals => {:filePath => service_file_path, :downloadFilePath => download_file_path, :downloadDerivativePath => nil, :publicSourceDownload => publicSourceDownload} %>
		<% when 'video-service' %>
			<%= render :partial => 'video_viewer', :locals => {:filePath => service_file_path, :icon => display_file_path, :downloadFilePath => download_file_path, :downloadDerivativePath => download_derivative_path, :publicSourceDownload => publicSourceDownload} %>
		<% when 'document-service' %>
	    <%= render :partial => 'document_viewer', :locals => {:access_notice => nil, :filePath => service_file_path, :displayFilePath => display_file_path, :downloadDerivativePath => download_derivative_path, :publicSourceDownload => publicSourceDownload} %>
			<%= render :partial => 'metadata_data_file', :locals => {:fileName => service_file} %>
			<%= render :partial => 'data_viewer', :locals => {:displayFilePath => display_file_path, :filePath => service_file_path, :objectType => 'simple', :pdfFilePath => pdf_file_path, :sourcefilePath => source_file_path, :publicSourceDownload => publicSourceDownload} %>
		<% when 'data-service' %>
			<%= render :partial => 'metadata_data_file', :locals => {:fileName => service_file} %>
			<%= render :partial => 'data_viewer', :locals => {:filePath => service_file_path, :objectType => 'simple', :sourcefilePath => source_file_path} %>
		<% else %>
			<%= render :partial => 'default_viewer', :locals => {:objectType => 'simple'} %>
		<% end %>
	</div>
<% end %>
